<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Path.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Path</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-name">class Path

</div><div class="links"><div class="file">File: <a href="../File/Path.h.html" target="detail">Path.h</a></div> <div class="xref"></div> <div class="source"></div></div>  <img alt="Path-inheritance" src="Path-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Path-inheritance_map" />
<map name="Path-inheritance_map"><area alt="Scopes/Paths/Polyline.html" href="Paths/Polyline.html" shape="rect" coords="5, 81, 109, 105" />
</map>
 <div class="doc">Path is the basic abstraction
used for drawing &#40;curved&#41; paths.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tPath_l_r">~Path</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Path.html#draw_l_r" >draw</a></span>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Draw this path.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="draw_l_r">draw</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Draw this path.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Fri Apr 17 08:48:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
